Android needs 64 bit builds

jjs at krutt.org jjs at krutt.org
Fri May 10 07:15:24 EDT 2019


a minor thing probably i noticed. The 9.1.0DP1 jumped to 9.5.0DP1. Is 
this a typo? or do have to wait longer? Just asking.


Mark Wieder via use-livecode schreef op 2019-05-06 23:26:
> On 5/6/19 3:44 PM, Monte Goulding via use-livecode wrote:
> 
>>> Ah. OK. So the problem with running on the pi isn't with building 
>>> form arm devices, but with interacting with the pi os?
>> 
>> I believe it is largely an issue of getting the build configuration 
>> and toolchains correct for cross compiling for armv6hf. Although given 
>> Pi 3s are arm64 but Raspbian is still armv6hf I guess we would need a 
>> build for a number of archs (armv6hf, armv7, arm64) depending on what 
>> OS people are running.
>> 
>> For us there is the extra step of getting it all setup on vulcan to 
>> build and package etc.
> 
> Ouch. I didn't realize raspbian was still armv6hf, although it makes
> sense for older hardware. That thickens the plot a bit. I'd certainly
> settle for an arm64-only build of the LC engine, but shoehorning it
> into an arm6hf os seems dicey.




More information about the Use-livecode mailing list